/**
 * 调用手机设备信息
 */
var app = {
    initialize: function() {
        this.bindEvents();
    },
	//绑定设备的事件
    bindEvents: function() {
        //设备信息
		document.addEventListener('deviceready',this.onDeviceReady, false);
		//返回按钮
		document.addEventListener('backbutton', this.onBackKeyDown, false);
		//菜单按钮
		document.addEventListener("menubutton", this.onMenuKeyDown, false);
		//当网络失去连接的时候调用的方法
		document.addEventListener("offline", this.onOffline, false);
		//当网络连接上网络调用的方法
		document.addEventListener("online", this.onOnline, false);
		document.addEventListener("jpush.setTagsWithAlias", onTagsWithAlias, false);
		document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);
		document.addEventListener("jpush.openNotification", onOpenNotification, false);
        document.addEventListener("jpush.backgroundNotification", onBackgroundNotification, false);
        document.addEventListener("jpush.receiveMessage", onReceiveMessage, false);
        
    },
    onDeviceReady: function() {
    	
    	devuuid = device.uuid+":"+device.model;
    	
    	//状态栏问题android和IOS处理
    	if (cordova.platformId == 'android') {
			StatusBar.backgroundColorByHexString("#333");
		}else  {
			StatusBar.overlaysWebView(false);
			StatusBar.styleDefault();
			StatusBar.backgroundColorByHexString("#f7f7f8");
            window.plugins.jPushPlugin.setApplicationIconBadgeNumber(0);
		}
		/**
		 * 初始化页面执行界面JS
		 */
		$(function() {
		  //获取访问服务器url地址
		  DMX.page.initServerPath();
		  //加载所需要的页面
		  DMX.page.initPage();
		  //获取欢迎页面
		  getServerWelcomeHtmlContent();
		});
		//$(document).ready(function(){
		//主页加载
		//DMX.mainPage.initMainPageMethod(0);
		//});
    },
	onBackKeyDown: function() {
        return;
    },
	onMenuKeyDown: function() {
        return;
    },
    onOffline:function(){
    	//$.toast("网络连接失败!");
    },
    onOnline:function(){
    	//$.toast("网络连接成功!");
    }
};

app.initialize();



//插入数据/更新数据
function insertSqliteDataBase(){
	 var db = window.sqlitePlugin.openDatabase({name: 'crsOpenDb.db', location: 'default'});
	 db.transaction(function(tx) {
		tx.executeSql('DROP TABLE IF EXISTS userInfo');
		tx.executeSql('CREATE TABLE IF NOT EXISTS userInfo (user_id integer,user_name  text,user_password text,user_account text)');
		// demonstrate PRAGMA: 
		db.executeSql("pragma table_info (userInfo);", [], function(res) {
			//console.log("PRAGMA res: " + JSON.stringify(res));
		});
		//用户帐号或者手机
		var loginPage_user_name=userInfo.user_account;
		//用户密码
		var loginPage_user_password=userInfo.user_passwd;
		//用户ID
		var loginPage_user_account=userInfo.user_id;
		tx.executeSql("INSERT INTO userInfo(user_id, user_name,user_password,user_account) VALUES (?,?,?,?)", [1,loginPage_user_name,loginPage_user_password,loginPage_user_account], function(tx, res) {
			//console.log("insertId: " + res.insertId + " -- probably 1");
			//console.log("rowsAffected: " + res.rowsAffected + " -- should be 1");
			//$("#textareaOwn").text('插入数据成功');
		}, function(e) {
			$.toast("保存帐号失败!");
		});
	});
}
			

//查数据数据
function searchSqliteDataBase(){
	 var db = window.sqlitePlugin.openDatabase({name: 'crsOpenDb.db', location: 'default'});
	 db.transaction(function(tx) {
		tx.executeSql('CREATE TABLE IF NOT EXISTS userInfo (user_id integer primary key,user_name  text,user_password text,user_account text)');
		// demonstrate PRAGMA: 
		db.executeSql("pragma table_info (userInfo);", [], function(res) {
			//console.log("PRAGMA res: " + JSON.stringify(res));
		});
		tx.executeSql("select user_name,user_password,user_account from userInfo where user_id=1;", [], function(tx, res) {
			var user_name=res.rows.item(0).user_name;
			if("" == user_name || null == user_name){
				user_name="";
			}
			var user_password=res.rows.item(0).user_password;
			if("" == user_password || null == user_password){
				user_password="";
			}
			$("#loginPage_user_name").val(user_name);
			$("#loginPage_user_password").val(user_password);
			if("" != user_name && "" != user_password){
				deviceLogin(user_name,user_password);
			}
		},function(e) {
			//$.toast("查询帐号失败!");
			$("#loginPage_user_name").val("");
			$("#loginPage_user_password").val("");
		});
	});
}



//查数据数据
//查询出来的帐号进行注册极光推送
function searchSqliteDataBaseOpenjG(){
	 var db = window.sqlitePlugin.openDatabase({name: 'crsOpenDb.db', location: 'default'});
	 db.transaction(function(tx) {
		tx.executeSql('CREATE TABLE IF NOT EXISTS userInfo (user_id integer primary key,user_name  text,user_password text,user_account text)');
		// demonstrate PRAGMA: 
		db.executeSql("pragma table_info (userInfo);", [], function(res) {
			//console.log("PRAGMA res: " + JSON.stringify(res));
		});
		tx.executeSql("select user_name,user_password,user_account from userInfo where user_id=1;", [], function(tx, res) {
			var user_name=res.rows.item(0).user_account;
			if("" == user_name || null == user_name || "null" == user_name || "undefined" == typeof(user_name)){
				user_name="1_1_1_1_1_1";
			}
			initiateUI(user_name);
		},function(e) {
			initiateUI("1_1_1_1_1_1");
		});
	}, function (trans, result) {
		initiateUI("1_1_1_1_1_1");
	}, function (trans, message) {
	});
}



function deviceLogin(loginPage_user_name,loginPage_user_password){
	var param = {
        'user_name': loginPage_user_name,
        'user_passwd': loginPage_user_password,
        'uuid':devuuid
    };
	$.ajax({
        type: "POST",
        timeout:15000,
        url: basePath + "login",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE" || data.code == "TIP"){
            //赋值
            userInfo=data.obj;
            //DMX.util.goToBack();
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          //$.toast("登录超时");
        }else{
          //$.toast("登录失败,请重试");
        }
      }
    });
}



/**
* 检测APP,进行跳转
*/
function checkAndTzApp(){
	var scheme="";
	if(device.platform === 'iOS') {
    	scheme = 'CoinPhoneSchemesName://phone.coin.com';
	}else if(device.platform === 'Android') {
		scheme = 'com.coin.phone';
	}else{
		scheme = '您的手机不支持该跳转';
	}
	if(scheme == ""){
		$.toast(scheme);
		return;
	}
	
	if(device.platform === 'iOS') {
    	window.open(scheme, '_system');
		window.open('http://itunes.apple.com/us/app/id1218663473', '_system');
	}else if(device.platform === 'Android') {
		appAvailability.check(scheme,       // URI Scheme or Package Name
			function() {  // Success callback
				if(device.platform === 'Android') {
					var sApp = startApp.set({
						"package":"com.coin.phone"
					});
					
					sApp.start(function() { /* success */
					}, function(error) { /* fail */
						$.toast('打开应用失败');
					});	
				}
			},
			function() {  // Error callback
				//进行判断跳转相应市场
				if(device.platform === 'Android') {
					 cordova.InAppBrowser.open('http://zhushou.360.cn/detail/index/soft_id/3765091', '_system', 'location=no,toolbar=yes,toolbarposition=top,closebuttoncaption=关闭');
				}
			}
		);	
	}
}
