/**
 * 忘记密码页面 forgetPage.JS
 * @author lijin
 */
DMX.namespace("forgetPage");
DMX.forgetPage = (function() {
  
  
  /**
   * 进入忘记密码页面
   */
  var goToforgetPage=function(){
    $.router.loadPage("#forgetPage");
    DMX.forgetPage.initforgetPageMethod();
  };
  
  
  /**
   * 进入忘记密码页面需要加载的方法
   * @author lijin
   */
  var initforgetPageMethod=function(){
    $("#logOutPasswordPage_user_phone").val("");
    $("#logOutPasswordPage_user_phone_validate").val("");
    $("#logOutPasswordPage_user_passwd").val("");
    $("#logOutPasswordPage_true_user_passwd").val("");
  };
  
  
  
  /**
  * 进行验证获取密码
  */
  var ii=60;
  var tt=null;
  var validLogOutPasswordCode=null;
  var logOutPasswordValidCodeState=true;
  var logOutPasswordPage_user_phone_all=null;
  var getlogOutPasswordPageValidCode=function(){
    var logOutPasswordPage_user_phone=$.trim($("#logOutPasswordPage_user_phone").val());
    if(null == logOutPasswordPage_user_phone || logOutPasswordPage_user_phone == "" || typeof(logOutPasswordPage_user_phone) == "undefined"){
     $.toast("无效号码!");
     return;
    }
    if(!DMX.util.validPhone(logOutPasswordPage_user_phone)){
         $.toast("无效号码!");
     return;
    }
    if(!logOutPasswordValidCodeState){
     $.toast("请勿重复操作");
     return;
    }
    //开启进度条
     $.showIndicator();
     var param={
       'phone':logOutPasswordPage_user_phone,
       'state':"userlogOut"
     };
     $.ajax({
     type: "POST",
     url: basePath + "getValidCode",
     data: param,
     success: function(data) {
       //关闭进度条
       $.hideIndicator();
       if(data.code == "TRUE"){
        if(ii === 60){
         logOutPasswordValidCodeState=false; 
         tt=setInterval("DMX.forgetPage.setlogOutPasswordValidCode()",1000);
         validLogOutPasswordCode=data.obj;
         logOutPasswordPage_user_phone_all=logOutPasswordPage_user_phone;
        }else{
         $.toast("获取验证码失败!");
        }
       }else if(data.code == "FALSE"){
         $.toast(data.msg);
       }
     },
     timeout:15000,
     error:function(XMLHttpRequest, textStatus, errorThrown){
       $.hideIndicator();
       if(textStatus == "timeout"){
         $.toast("获取验证码超时");
       }else{
         $.toast("获取验证码异常");
       }
     }
     });
  }
  
  
  
  /**
  *  控制验证码效果图
  */
  var setlogOutPasswordValidCode=function(){
      if(ii === 0){
        clearInterval(tt);
        $("#logOutPasswordPage_user_phone_validate_a").text("获取验证码");
        logOutPasswordValidCodeState=true;
        ii=60;
      }else{
        ii--;
        $("#logOutPasswordPage_user_phone_validate_a").text(ii+"秒重新获取");
      }
  }
  
  
  /**
   * 重装密码
   * @returns
   */
  var logOutPasswordPagePersonOrCompany=function(){
    var logOutPasswordPage_user_phone=$.trim($("#logOutPasswordPage_user_phone").val());
    if(null == logOutPasswordPage_user_phone || logOutPasswordPage_user_phone == "" || typeof(logOutPasswordPage_user_phone) == "undefined"){
     $.toast("手机号码不能为空!");
     return;
    }
    if(!DMX.util.validPhone(logOutPasswordPage_user_phone)){
         $.toast("无效号码!");
     return;
    }    
    var logOutPasswordPage_user_phone_validate=$.trim($("#logOutPasswordPage_user_phone_validate").val());
    if(validLogOutPasswordCode == null || validLogOutPasswordCode == ""){
      $.toast("请获取验证码!");
      return;
    }
    if(logOutPasswordPage_user_phone_all!=logOutPasswordPage_user_phone){
      $.toast("验证码失效,请重新获取!");
      return;
    }
    if(validLogOutPasswordCode != logOutPasswordPage_user_phone_validate){
      $.toast("验证码错误!");
      return;
    }
    
    var logOutPasswordPage_user_passwd=$("#logOutPasswordPage_user_passwd").val();
    var logOutPasswordPage_true_user_passwd=$("#logOutPasswordPage_true_user_passwd").val();
    if(null == logOutPasswordPage_user_passwd || logOutPasswordPage_user_passwd == "" || typeof(logOutPasswordPage_user_passwd) == "undefined"){
      $.toast("密码为空!");
      return;
    }
    
    if(null == logOutPasswordPage_true_user_passwd || logOutPasswordPage_true_user_passwd == "" || typeof(logOutPasswordPage_true_user_passwd) == "undefined"){
      $.toast("确认密码为空!");
      return;
    }
    
    if(logOutPasswordPage_user_passwd != logOutPasswordPage_true_user_passwd){
      $.toast("密码不一致!");
      return;
    }
    
    
    //传参
    var param = {
      'new_passwd': logOutPasswordPage_user_passwd,
      'user_phone': logOutPasswordPage_user_phone
    };
    // 开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      url: basePath + "modifyPasswd",
      data: param,
      success: function(data) {
        // 关闭进度条
        $.hideIndicator();
        if(data.code == "TRUE"){
          $.toast("重置密码成功!");
          // 验证码赋值为空
          validLogOutPasswordCode=null;
          ii=60;
          tt=null;
          logOutPasswordPage_user_phone_all=null;
          $.router.loadPage("#loginPage");
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("重置密码超时!");
        }else{
          $.toast("重置密码失败,请重试!");
        }
      }
    });
  }
  
  /**
   * 弹出窗口
   */
  var onOpenForgetPageWindow = function(){
    var registerPage_user_phone=$.trim($("#logOutPasswordPage_user_phone").val());
    if(null == registerPage_user_phone || registerPage_user_phone == "" || typeof(registerPage_user_phone) == "undefined"){
      $.toast("无效号码!");
      return;
    }
    if(!DMX.util.validPhone(registerPage_user_phone)){
      $.toast("无效号码!");
      return;
    }
    if(!logOutPasswordValidCodeState){
      $.toast("请勿重复操作");
      return;
    }
    var html='';
    html+='<div class="list-block">';
    html+='<ul>';
    html+='<li>';
    html+='<div class="item-content">';
    html+='<div class="item-inner">';
    html+='<div class="item-input">';
    html+='<input type="text" placeholder="请输入图形验证码" id="forgetPage_yzmText">';
    html+='</div></div>';
    html+='<img style="width: 50px" type="image" src="" id="forgetPage_codeImage" onclick="DMX.forgetPage.chageCode()" title="图片看不清？点击重新得到验证码"/>';
    html+='</div></li></ul></div>';
    html+='<div class="content-block">';
    html+='<div class="row">';
    html+='<div class="col-50"><a href="#" class="button  button-fill button-danger" onclick="$.closeModal();">取消</a></div>';
    html+='<div class="col-50"><a href="#" class="button  button-fill button-success" onclick="DMX.forgetPage.makeTrueYzm()">确认</a></div>';
    html+='</div>';
    html+='</div>';
    $.modal({
      text: html
    });
    DMX.forgetPage.chageCode();
  };
  
  /**
   * 改变图形验证码
   */
  var chageCode = function(){
    $('#forgetPage_codeImage').attr('src',basePath+"getCrsCode?code="+Math.random());
  };
  
  /**
   * 确认验证码,然后发送短信验证码
   */
  var makeTrueYzm=function(){
    var registerPage_user_phone=$.trim($("#logOutPasswordPage_user_phone").val());
    if(null == registerPage_user_phone || registerPage_user_phone == "" || typeof(registerPage_user_phone) == "undefined"){
       $.toast("无效号码!");
       DMX.forgetPage.chageCode();
       return;
    }
    if(!DMX.util.validPhone(registerPage_user_phone)){
       $.toast("无效号码!");
       DMX.forgetPage.chageCode();
       return;
    }
    var registerPage_yzmText=$.trim($("#forgetPage_yzmText").val());
    if(null == registerPage_yzmText || registerPage_yzmText == "" || typeof(registerPage_yzmText) == "undefined"){
      $.toast("验证码为空");
      DMX.forgetPage.chageCode();
      return;
    }
    if(!logOutPasswordValidCodeState){
     $.toast("请勿重复操作");
     return;
    }
    //开启进度条
     $.showIndicator();
     var param={
       'phone': registerPage_user_phone,
       'CRSCODE' : registerPage_yzmText,
       'state':"userlogOut"
     };
     $.ajax({
     type: "POST",
     url: basePath + "getValidCode",
     data: param,
     success: function(data) {
       //关闭进度条
       $.hideIndicator();
       if(data.code == "TRUE"){
        if(ii === 60){
          logOutPasswordValidCodeState=false; 
          tt=setInterval("DMX.forgetPage.setlogOutPasswordValidCode()",1000);
          validLogOutPasswordCode=data.obj;
          logOutPasswordPage_user_phone_all=registerPage_user_phone;
          $.closeModal();
        }else{
          $.toast("正在倒计时中");
        }
       }else if(data.code == "FALSE"){
         $.toast(data.msg);
         DMX.forgetPage.chageCode();
       }
     },
     timeout:15000,
     error:function(XMLHttpRequest, textStatus, errorThrown){
       $.hideIndicator();
       DMX.forgetPage.chageCode();
       if(textStatus == "timeout"){
         $.toast("获取验证码超时");
       }else{
         $.toast("获取验证码异常");
       }
     }
     });
  };
  return {
    goToforgetPage:goToforgetPage,
    initforgetPageMethod:initforgetPageMethod,
    getlogOutPasswordPageValidCode:getlogOutPasswordPageValidCode,
    setlogOutPasswordValidCode:setlogOutPasswordValidCode,
    logOutPasswordPagePersonOrCompany:logOutPasswordPagePersonOrCompany,
    onOpenForgetPageWindow:onOpenForgetPageWindow,
    chageCode : chageCode,
    makeTrueYzm : makeTrueYzm
  };
})();


