/**
 * 登录页面 loginPage.JS
 * @author lijin
 */
DMX.namespace("loginPage");
DMX.loginPage = (function() {
  
  
  /**
   * 进入登录页面
   */
  var goToLoginPage=function(){
    $.router.loadPage("#loginPage");
    DMX.loginPage.initloginPageMethod();
  };
  
  
  /**
   * 进入登录页面需要加载的方法
   * @author lijin
   */
  var initloginPageMethod=function(){
    $("#loginPage_user_name").val("");
    $("#loginPage_user_password").val("");
  };
  
  
  /**
   * 登录
   * @author lijin
   */
  var loginPersonOrCompany=function(){
      var loginPage_user_name=$.trim($("#loginPage_user_name").val());
      var loginPage_user_password=$.trim($("#loginPage_user_password").val());
      var devuuid ="";
      if(null == loginPage_user_name || loginPage_user_name == "" || typeof(loginPage_user_name) == "undefined"){
        $.toast("帐号/手机号为空!");
        return;
      }
      
      if(null == loginPage_user_password || loginPage_user_password == "" || typeof(loginPage_user_password) == "undefined"){
        $.toast("密码为空!");
        return;
      }
      
      //传参
      var param = {
        'user_name': loginPage_user_name,
        'user_passwd': loginPage_user_password,
        'uuid':devuuid
      };
      //开启进度条
      $.showIndicator();
      $.ajax({
        type: "POST",
        timeout:15000,
        url: basePath + "login",
        data: param,
        success: function(data) {
          //关闭进度条
          $.hideIndicator();
          if(data.code == "TRUE" || data.code == "TIP"){
            //赋值
          if(data.code == "TIP")
        {
            $.toast(data.msg);
        }
            userInfo=data.obj;
            //登录成功之后,通过goToPageState进行判断跳向那个界面进行加载数据
            DMX.util.goToBack();
			initiateUI(userInfo.user_id);
			//插入数据库进行记录帐号和密码
			insertSqliteDataBase();
          }else if(data.code == "FALSE"){
            $.toast(data.msg);
          }
        },
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("登录超时");
        }else{
          $.toast("登录失败,请重试");
        }
      }
    });
  };
  
  
  
  return {
    goToLoginPage:goToLoginPage,
    initloginPageMethod:initloginPageMethod,
    loginPersonOrCompany:loginPersonOrCompany
  };
})();


