/**
 *  硬币机具js
 */
DMX.namespace("machinePage");
DMX.machinePage = (function() {
  
	/**
    * 进入硬币机具页面
    */
	var goToMachinePage=function(){
		$.router.loadPage("#machinePage");
		DMX.machinePage.loadcoinimplementData();
	};
  
	
	/**
	 * 加载初始数据
	 */
	var loadcoinimplementData = function(){
		//开启进度条
		$.showIndicator();
	  
		//传参
		var param = {};

		$.ajax({
			type: "POST",
			url: basePath + "getDevInfo",
			data: param,
			success: function(data) {
				//关闭进度条
				$.hideIndicator();
				if(data.code == "TRUE"){
					listdevinfos=data.obj;
					DMX.machinePage.refreshcoinimplementData();
					$.toast("加载成功!");
				}else if(data.code == "FALSE"){
					$.toast(data.msg);
				}
			},
			timeout:15000,
			error:function(XMLHttpRequest, textStatus, errorThrown){
				$.hideIndicator();
				if(textStatus == "timeout"){
					$.toast("加载信息超时");
				}else{
					$.toast("加载失败,请重试");
				}
			}
		});
	};

	
	/**
	 * 将数据赋值到页面上
	 */
	var refreshcoinimplementData = function(){
		$('#coinimplementcontent').html("");
		html="";
		if(null != listdevinfos && listdevinfos.length != 0){
		  for (var i = 0; i <listdevinfos.length; i++) {
	      html += '<li onclick="DMX.machinePage.goToMachinedetailsPage(\''+listdevinfos[i].dev_id+'\')">';
	      html += '<img alt="" src="'+listdevinfos[i].dev_maxurl+'">';
	      html += '<div>';
	      html += '<p>'+listdevinfos[i].dev_name+'</p>';
	      html += '<label>型号：'+listdevinfos[i].dev_model+'</label>';
	      html += '</div>';
	      html += '</li>';
	    }
		}
		$('#coinimplementcontent').html(html);
	};
	
	
	/**
	 * 传参
	 */
	var goToMachinedetailsPage=function(data){
	  DMX.machinedetailsPage.goToMachinedetailsPage(data,listdevinfos);
	};

	
	return {
		goToMachinePage:goToMachinePage,
		loadcoinimplementData:loadcoinimplementData,
		refreshcoinimplementData:refreshcoinimplementData,
		goToMachinedetailsPage:goToMachinedetailsPage
	};
})();


