/**
 * 点击地图图标，显示maker列表 makerlistPage.js
 */
DMX.namespace("makerlistPage");
DMX.makerlistPage = (function() {
  
  /**
   * 图标数据
   * @author lijin
   */
  var makerlistData=null;
  //enc所有数据
  var encalldata=null;
  //enc故障数据
  var erralllist = new Array();
  //enc加钞数据
  var addalllist = new Array();
  //enc正常数据
  var normalalllist = new Array();
  var encalllistDataCount=new Array();
  
  /**
   * 服务器地址
   * @author lijin
   */
  var goToMakerlistPage=function(data,param){
    goToPageState="makerlistPage";
    if(userInfo == null){
      DMX.loginPage.goToLoginPage();
    }else{
      DMX.makerlistPage.initMakerlistPageMethod(data,param);
    }
  };
  
  
  /**
   * 初始化图标列表页面
   * @author lijin
   */
  var initMakerlistPageMethod=function(data,param){
    $.router.loadPage("#makerlistPage");
    $("#makerlistPage_list").html("");
    DMX.makerlistPage.loadingdataMakerlist(data,param);  
  };
  
  
  
  /**
   * 点击跳往列表页面,加载数据
   * @author lijin
   */
  var loadingdataMakerlist=function(data,param){
    //类型
    var Searchleixing="1,2,3,4,5";
    //最大金额
    var maxcoin=Number($.trim($("#maxcoin").val()));
    //最小金额
    var mincoin=Number($.trim($("#mincoin").val()));
    
    var Searchjine="";
    //金额
    var ul2=$("#Searchjine li"); 
    for(var i=0;i<ul2.length;i++){
      if(ul2[i].getAttribute("class") == "cur"){   
        Searchjine = ul2[i].value;
      }
    }
    if( mincoin == "" && maxcoin == ""){
      if(Searchjine == "100"){
        maxcoin=100;
        mincoin=100;
      }
      if(Searchjine == "200"){
        maxcoin=200;
        mincoin=200;
      }
      if(Searchjine == "500"){
        maxcoin=500;
        mincoin=500;
      }
      if(Searchjine == "1000"){
        maxcoin=1000;
        mincoin=1000;
      }
    }

    if(maxcoin == 0){
      maxcoin = "";
    }
    if(mincoin == 0){
      mincoin = "";
    }

    var param = {
      'location_x': data.lng,
      'location_y': data.lat,
      'type':Searchleixing,
      'mintotalmoney':mincoin,
      'maxtotalmoney':maxcoin
    };
    
    //开启进度条
    $.showIndicator();
    $.ajax({
      type: "POST",
      timeout:15000,
      url: basePath + "getLocationSnNpInfo",
      data: param,
      success: function(data) {
        if(data.code == "TRUE"){
          //查询数据展示
          makerlistData=data.obj;
          DMX.makerlistPage.loadingencalldata();
        }else if(data.code == "FALSE"){
          $.hideIndicator();
          $.toast(data.msg);
        }
      },
    error:function(XMLHttpRequest, textStatus, errorThrown){
      $.hideIndicator();
      if(textStatus == "timeout"){
        $.toast("加载信息超时");
      }else{
        $.toast("加载失败,请重试");
      }
    }
    });//ajax end
  };
  
  
  
  
  /**
   * 获取ENC数据
   * @author lijin
   */
  var loadingencalldata=function(){
    $.ajax({
      type : "post",
      timeout:15000,
      url : basePath +"getEncYuEBalance",
      success : function(data) {
        $.hideIndicator();
        encalldata=JSON.parse(data);
        if(encalldata.flag){
          addalllist=encalldata.content.add;
          erralllist=encalldata.content.err;
          normalalllist=encalldata.content.normal;
          DMX.makerlistPage.xuanranMakerlist();
        }else{
          $.toast(encalldata.content);
        }
      },
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("加载信息超时");
        }else{
          $.toast("加载失败,请重试");
        }
      }
    });
  };
  
  
  
  /**
   * 点击跳往列表页面,渲染数据
   * @author lijin
   */
  var xuanranMakerlist=function(){
    var data=makerlistData;
    var html="";
    for (var key in data) {
      if(key == "3"){ 
        var datalist=data[key];
        if(null != datalist && datalist.length != 0){
          for (var i = 0; i < datalist.length; i++) {
            var location_x=datalist[i].location_x;
            var location_y=datalist[i].location_y;
            for(var j=0;j<normalalllist.length;j++){
              encalllistDataCount.push(normalalllist[j]);
              var enclocation_x=normalalllist[j].location_x;
              var enclocation_y=normalalllist[j].location_y;
              var encbank=normalalllist[j].encbank;
              if("undefined" != typeof(encbank) && encbank.indexOf("XX") < 0){
                if(location_x==enclocation_x && location_y==enclocation_y){
                  if(normalalllist[j].location_info==null || normalalllist[j].location_info =="" ||normalalllist[j].location_info=="null"){
                    normalalllist[j].location_info="";
                  }
                  var addr=normalalllist[j].encbank+"@@#@@"+normalalllist[j].location_info+"@@#@@"+normalalllist[j].location_x+"@@#@@"+normalalllist[j].location_y;
                  html += '<div class="card facebook-card">';
                  html += '<div class="card-header" >';//onclick="DMX.encstatusdetailsPage.goToencstatusdetailsPage(\''+normalalllist[j].devid+'\')"
                  html += '<div style="height:2.5rem;">';
                  html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/enc.png" style="width:100%;height:100%;"/></div>';
                  html += '<div style="width:90%;float:left;">';
                  html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">纸硬币兑换机</div>';
                  html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+normalalllist[j].encbank+'-'+normalalllist[j].location_info+'</div>';
                  html += '</div>';
                  html += '<div style="height:2.5rem;line-height: 2.5rem;float:right;color:#D0D0D0;">></div>';
                  html += '</div>';
                  html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;">设备时间：'+normalalllist[j].inserttime+'<div style="float:right;color:#00ae9d;margin-right:0.5rem;">正常</div></div>';
                  html += '</div>';
                  html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',1)">到这里去</span>';
                  html += '</div>';
                  html += '</div>';
                }
              }
            }
            for(var j=0;j<addalllist.length;j++){
              var enclocation_x=addalllist[j].location_x;
              var enclocation_y=addalllist[j].location_y;
              var encbank=addalllist[j].encbank;
              if("undefined" != typeof(encbank) && encbank.indexOf("XX") < 0){
                if(location_x==enclocation_x && location_y==enclocation_y){
                  if(addalllist[j].location_info==null || addalllist[j].location_info =="" || addalllist[j].location_info=="null"){
                    addalllist[j].location_info="";
                  }
                  var addr=addalllist[j].encbank+"@@#@@"+addalllist[j].location_info+"@@#@@"+addalllist[j].location_x+"@@#@@"+addalllist[j].location_y;
                  html += '<div class="card facebook-card">';
                  html += '<div class="card-header" >';//onclick="DMX.viewlist.enctishiquechao()"
                  html += '<div style="height:2.5rem;">';
                  html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/enc.png" style="width:100%;height:100%;"/></div>';
                  html += '<div style="width:90%;float:left;">';
                  html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">纸硬币兑换机</div>';
                  html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+addalllist[j].encbank+'-'+addalllist[j].location_info+'</div>';
                  html += '</div>';
                  html += '<div style="height:2.5rem;line-height: 2.5rem;float:right;color:#D0D0D0;">></div>';
                  html += '</div>';
                  html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;">设备时间：'+addalllist[j].inserttime+'<div style="float:right;color:#f58220;margin-right:0.5rem;">缺钞</div></div>';
                  html += '</div>';
                  html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',1)">到这里去</span>';
                  html += '</div>';
                  html += '</div>';
                }
              }
            }
            for(var j=0;j<erralllist.length;j++){
              var enclocation_x=erralllist[j].location_x;
              var enclocation_y=erralllist[j].location_y;
              var encbank=erralllist[j].encbank;
              if("undefined" != typeof(encbank) && encbank.indexOf("XX") < 0){
                if(location_x==enclocation_x && location_y==enclocation_y){
                  if(erralllist[j].location_info==null || erralllist[j].location_info =="" ||erralllist[j].location_info=="null"){
                    erralllist[j].location_info="";
                  }
                  var inserttime=erralllist[j].inserttime;
                  if(inserttime == "" || inserttime == null || inserttime == "undefined"){
                    inserttime = "该设备未联网";
                  }
                  var addr=erralllist[j].encbank+"@@#@@"+erralllist[j].location_info+"@@#@@"+erralllist[j].location_x+"@@#@@"+erralllist[j].location_y;
                  html += '<div class="card facebook-card" >';
                  html += '<div class="card-header">';//onclick="DMX.viewlist.enctishiguzhang()"
                  html += '<div style="height:2.5rem;">';
                  html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/enc.png" style="width:100%;height:100%;"/></div>';
                  html += '<div style="width:90%;float:left;">';
                  html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">纸硬币兑换机</div>';
                  html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+erralllist[j].encbank+'-'+erralllist[j].location_info+'</div>';
                  html += '</div>';
                  html += '<div style="height:2.5rem;line-height: 2.5rem;float:right;color:#D0D0D0;">></div>';
                  html += '</div>';
                  html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;">设备时间：'+inserttime+'<div style="float:right;color:#aa363d;margin-right:0.5rem;">故障</div></div>';
                  html += '</div>';
                  html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',1)">到这里去</span>';
                  html += '</div>';
                  html += '</div>';
                }
              }
            }
          }
        }
      }else if(key == "1"){
        var datalist=data[key];
        if(null != datalist && datalist.length != 0){
          for (var i = 0; i < datalist.length; i++) {
            var user_nick=datalist[i].user_nick;
            if(null == user_nick || user_nick == "" || user_nick == "null"){
              user_nick="供应方("+(i+1)+")";
            }
            var location_info=datalist[i].location_info;
            if(null == location_info || location_info == "" || location_info == "null"){
                  location_info="无";
                }
            var end_time=datalist[i].end_time;
            if(null == end_time || end_time=="" || end_time=="null"){
              end_time="长期有效";
            }else{
              end_time="7天";
            }
            if(user_nick != "重庆汇德明序科技发展有限公司"){
              html += '<div class="card facebook-card">';
              html += '<div class="card-header">';
              html += '<div onclick="DMX.makerlistPage.goToMakerlistdetailsPage(1,'+i+')">';
              html += '<div style="height:2.5rem;">';
              html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">供</div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
              html += '</div>';
              html += '<div style="height:2rem;font-size:0.6rem">';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+datalist[i].coin_10+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+datalist[i].coin_5+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+datalist[i].coin_1+']</div></div>';
              html += '</div>';
              html += '</div>';
              html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+datalist[i].publish_time+'</div><div style="float:right;width:4rem;text-align:center;background:#c12c20;border-radius:0.25rem;height:1rem;line-height:1rem;color:#fff;margin-top:0.25rem;" onclick="DMX.makerlistPage.goTosupplyDemandreservePage(1,2,'+i+')">预定兑换</div></div>';
              html += '</div>';
              html += '</div>';
            }
            if(user_nick == "重庆汇德明序科技发展有限公司"){
              html += '<div class="card facebook-card">';
              html += '<div class="card-header">';
              html += '<div onclick="DMX.makerlistPage.goToMakerlistdetailsPage(1,'+i+')">';
              html += '<div style="height:2.5rem;">';
              html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">供</div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
              html += '</div>';
              html += '<div style="height:2rem;font-size:0.6rem">';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+datalist[i].coin_10+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+datalist[i].coin_5+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+datalist[i].coin_1+']</div></div>';
              html += '</div>';
              html += '</div>';
              html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+datalist[i].publish_time+'</div></div>';
              html += '</div>';
              html += '</div>';
            }
          }
        }
      }else if(key == "2"){
        var datalist=data[key];
        if(null != datalist && datalist.length != 0){
          for (var i = 0; i < datalist.length; i++) {
            var user_nick=datalist[i].user_nick;
            if(null == user_nick || user_nick == "" || user_nick == "null"){
              user_nick="需求方("+(i+1)+")";
            }
            var location_info=datalist[i].location_info;
            if(null == location_info || location_info == "" || location_info == "null"){
                  location_info="无";
                }
            var end_time=datalist[i].end_time;
            if(null == end_time || end_time=="" || end_time=="null"){
              end_time="长期有效";
            }else{
              end_time="7天";
            }
            if(user_nick != "重庆汇德明序科技发展有限公司"){
              html += '<div class="card facebook-card" onclick="">';
              html += '<div class="card-header">';
              html += '<div onclick="DMX.makerlistPage.goToMakerlistdetailsPage(2,'+i+')">';
              html += '<div style="height:2.5rem;">';
              html += '<div style="width:10%;height:1.5rem;line-height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#f94048;color:#fff;margin-top:0.2rem;">需</div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
              html += '</div>';
              html += '<div style="height:2rem;font-size:0.6rem">';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+datalist[i].coin_10+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+datalist[i].coin_5+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+datalist[i].coin_1+']</div></div>';
              html += '</div>';
              html += '</div>';
              html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+datalist[i].publish_time+'</div><div style="float:right;width:4rem;text-align:center;background:#c12c20;border-radius:0.25rem;height:1rem;line-height:1rem;color:#fff;margin-top:0.25rem;" onclick="DMX.makerlistPage.goTosupplyDemandreservePage(2,2,'+i+')">预定兑换</div></div>';
              html += '</div>';
              html += '</div>';
            }
            if(user_nick == "重庆汇德明序科技发展有限公司"){
              html += '<div class="card facebook-card" onclick="">';
              html += '<div class="card-header">';
              html += '<div onclick="DMX.makerlistPage.goToMakerlistdetailsPage(2,'+i+')">';
              html += '<div style="height:2.5rem;">';
              html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;text-align:center;border-radius:0.25rem;font-weight:bold;background:#d85c00;color:#fff;margin-top:0.2rem;">需</div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;padding-left:0.2rem;float:left;">'+user_nick+'<span style="float:right;color:#0894ec;font-weight: normal;">'+end_time+'</span></div>';
              html += '<div style="width:90%;height:1rem;line-height:1rem;font-size:0.6rem;padding-left:0.2rem;float:left;overflow:hidden;">'+location_info+'</div>';
              html += '</div>';
              html += '<div style="height:2rem;font-size:0.6rem">';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1元</div><div style="text-align:center;">['+datalist[i].coin_10+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">5角</div><div style="text-align:center;">['+datalist[i].coin_5+']</div></div>';
              html += '<div style="width:33%;float:left;"><div style="text-align:center;">1角</div><div style="text-align:center;">['+datalist[i].coin_1+']</div></div>';
              html += '</div>';
              html += '</div>';
              html += '<div style="font-size:0.6rem;height:1.5rem;line-height:1.5rem;"><div style="float:left;">'+datalist[i].publish_time+'</div></div>';
              html += '</div>';
              html += '</div>';
            }
          }
        }
      }else if(key == "4"){
        var datalist=data[key];
        if(null != datalist && datalist.length != 0){
          for (var i = 0; i < datalist.length; i++) {
            var location_x=datalist[i].location_x;
            var location_y=datalist[i].location_y;
            var addr=datalist[i].user_company+"@@#@@"+datalist[i].location_info+"@@#@@"+datalist[i].location_x+"@@#@@"+datalist[i].location_y;
            html += '<div class="card facebook-card" >';
            html += '<div class="card-header">';//onclick="DMX.viewlist.enctishiguzhang()"
            html += '<div style="height:2.5rem;">';
            html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/company.png" style="width:100%;height:100%;"/></div>';
            html += '<div style="width:90%;float:left;">';
            html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">'+datalist[i].user_company+'</div>';
            html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+datalist[i].location_info+'</div>';
            html += '</div>';
            html += '</div>';
            html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',1)">到这里去</span>';
            html += '</div>';
            html += '</div>';
          }
        }
      }else if(key == "5"){
        var datalist=data[key];
        if(null != datalist && datalist.length != 0){
          for (var i = 0; i < datalist.length; i++) {
            var location_x=datalist[i].location_x;
            var location_y=datalist[i].location_y;
            var addr=datalist[i].user_company+"@@#@@"+datalist[i].location_info+"@@#@@"+datalist[i].location_x+"@@#@@"+datalist[i].location_y;
            html += '<div class="card facebook-card" >';
            html += '<div class="card-header">';//onclick="DMX.viewlist.enctishiguzhang()"
            html += '<div style="height:2.5rem;">';
            html += '<div style="width:10%;line-height:1.5rem;height:1.5rem;float:left;margin-top:0.2rem;"><img src="lib/img/blank.png" style="width:100%;height:100%;"/></div>';
            html += '<div style="width:90%;float:left;">';
            html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;font-weight:bold;margin-left:0.2rem;">'+datalist[i].user_company+'</div>';
            html += '<div style="height:1rem;line-height:1rem;font-size:0.6rem;margin-left:0.2rem;">'+datalist[i].location_info+'</div>';
            html += '</div>';
            html += '</div>';
            html += '<span style="float:right;color:#0894ec;font-weight: normal;position: absolute;right: .5rem;top: .5rem;font-size:0.6rem;" onclick="DMX.mapNavigationPage.goTomapNavigationPage(\''+addr+'\',1)">到这里去</span>';
            html += '</div>';
            html += '</div>';
          }
        }
      }
    }
    $("#makerlistPage_list").html(html);
  };
  
  
  /**
   * 返回主页面
   * @author lijin
   */
  var returnmainPage=function(){
    $.router.loadPage("#mainPage");
  };
  
  
  /**
   * 传参
   */
  var goTosupplyDemandreservePage=function(number,number2,i){
    DMX.supplyDemandreservePage.goTosupplyDemandreservePage(number,number2,i,makerlistData);
  };
  
  /**
   * 传参
   */
  var goToMakerlistdetailsPage=function(number,i){
    DMX.makerlistdetailsPage.goToMakerlistdetailsPage(number,i,makerlistData);
  };
  
  
  /**
   * 传参
   */
  var goTosupplyDemandDetailPage=function(number,i){
    DMX.supplyDemandDetailPage.goTosupplyDemandDetailPage(number,i,makerlistData);
  };
  
  return {
    goToMakerlistPage:goToMakerlistPage,
    initMakerlistPageMethod:initMakerlistPageMethod,
    loadingdataMakerlist:loadingdataMakerlist,
    loadingencalldata:loadingencalldata,
    xuanranMakerlist:xuanranMakerlist,
    returnmainPage:returnmainPage,
    goTosupplyDemandreservePage:goTosupplyDemandreservePage,
    goToMakerlistdetailsPage:goToMakerlistdetailsPage,
    goTosupplyDemandDetailPage:goTosupplyDemandDetailPage
  };
})();


