/**
 * 地图导航 mapNavigationPage.js
 */
DMX.namespace("mapNavigationPage");
DMX.mapNavigationPage = (function() {
  
  /**
   * 进行导航
   * @@#@@ 分隔符
   * 第一个为地址
   * 第二个经纬度x
   * 第三个经纬度y
   */
  var viewLoadPagebackPageState="";
  var viewLoadPagebackPage_addr="";
  var viewLoadPagebackPage_x="";
  var viewLoadPagebackPage_y="";
  var viewLoadPagebackPage_choose=0;
  
  /**
   * 跳往导航页面
   */
  var goTomapNavigationPage=function(data,state){
    $("#viewLoadPage_title").text("导航");
    var addrState="";
    var bank="";
    var addr="";
    var x="";
    var y="";
    viewLoadPagebackPageState=state;
    try{
      if(null == geolocationData.lng || null == geolocationData.lat){
        $.toast("无位置信息,无法导航");
        return;
      }
      
      if(data == "" || data == null){
        $.toast("无位置信息,无法导航");
        return;
      }
      var addrArray=data.split("@@#@@");
      bank=addrArray[0];
      $("#viewLoadPage_title").text(bank);
      addr=addrArray[1];
      x=addrArray[2];
      y=addrArray[3];
    }catch(e){
      addrState="exception";
      addr="";
      x="";
      y="";
    }
    
    if(addrState == "exception"){
      $.toast("位置信息获取异常,无法导航");
      return;
    }
    $.router.loadPage("#mapNavigationPage");
    viewLoadPagebackPage_addr=addr;
    viewLoadPagebackPage_x=x;
    viewLoadPagebackPage_y=y;
    viewLoadPagebackPage_choose=0;
    DMX.mapNavigationPage.viewLoadPageMethodOne(1);
  };
  
  
  
  /**
   * 地图渲染,进行定位到相应城市
   */
  var viewLoadPageMap = null;
  var viewLoadPageMap_city = null;
  
  /**
   * 渲染页面
   */
  var initmapNavigationPage=function(addr,x,y){
    var state=0;
    try{
      viewLoadPageMap = new AMap.Map("viewLoadPage_container", {
         resizeEnable : true,
         zoom : 10,
         center: geolocationData
      });
      //添加标尺
      viewLoadPageMap.plugin(['AMap.ToolBar'], function() {
        //设置地位标记为自定义标记
        var toolBar = new AMap.ToolBar();
        viewLoadPageMap.addControl(toolBar);
      });
      //影藏高德地图logo
      $(".amap-logo").hide();
    }catch(e){
      $.toast("渲染地图异常!");
      state=1;
    }
    
    if(state === 1){
      return;
    }
    
    if(null != viewLoadPageMap){
      $.showIndicator();
      viewLoadPageMap.getCity(function(data) {
        if (data['province'] && typeof data['province'] === 'string') {
          viewLoadPageMap_city=data['city'] || data['province'];
          if(addr.indexOf(viewLoadPageMap_city) < 0){
            $.hideIndicator();
            $.toast("请选择本地区附近区域");
            return;
          }
          DMX.mapNavigationPage.loadViewLoadPageMapGeolocation(addr,x,y);
        }else{
          $.hideIndicator();
          $.toast("城市获取失败,无法导航!");
        }
      });
    }
  };
  
  
  /**
   * 根据经纬度进行查找线路
   */
  var loadViewLoadPageMapGeolocation=function(addr,x,y){
    try{
      $("#viewLoadPage_panel").text("");
      AMap.service(["AMap.Transfer"], function() {
        var trans;
        var transOptions = {
            map: viewLoadPageMap,
            panel: "viewLoadPage_panel",
            city: viewLoadPageMap_city,
            policy: AMap.TransferPolicy.LEAST_TIME
        };
        trans = new AMap.Transfer(transOptions);
        trans.search([geolocationData.lng,geolocationData.lat], [x, y]);
        $.hideIndicator();
      });
    }catch(e){
      $.toast("线路规划异常");
      $.hideIndicator();
    }
  };
  
  
  /**
   * 弹出框口
   */
  var viewLoadPageDetial=function(){
    try{
      if(viewLoadPagebackPage_choose === 1){
        var dataArray=$(".amap-lib-transfer .plan");
        if(dataArray.length === 0){
          $.toast("获取线路为空");
          return;
        }
      }else if(viewLoadPagebackPage_choose === 2){
        var dataArray=$(".amap-lib-walking .plan");
        if(dataArray.length === 0){
          $.toast("获取线路为空");
          return;
        }
      }else if(viewLoadPagebackPage_choose === 3){
        var dataArray=$(".amap-lib-driving .plan");
        if(dataArray.length === 0){
          $.toast("获取线路为空");
          return;
        }
        
      }
      $.router.loadPage("#viewLoadPageDetail");
      $(".amap-call").hide();
    }catch(e){
      $.toast("获取线路异常");
    }
  };
  
  
  /**
   * 关闭导航
   */
  var viewLoadPageDetialClose=function(){
    var k=0;
    var dataArray=new Array();
    try{
      if(viewLoadPagebackPage_choose === 1){
        dataArray=$(".amap-lib-transfer .plan");
      }else if(viewLoadPagebackPage_choose === 2){
        dataArray=$(".amap-lib-walking .plan");
      }else if(viewLoadPagebackPage_choose === 3){
        dataArray=$(".amap-lib-driving .plan");
      }
      if(dataArray.length === 0){
        k=1;
      }else{
        for(var i=0;i<dataArray.length;i++){
          var obj=dataArray[i];
          var displayStr=obj.style.display;
          if(displayStr == "block" && displayStr != ""){
            k=1;
            break;
          }
        }
      }
    }catch(e){
      k=2;
    }finally{
      if(k === 1 || k === 2){
        $.router.loadPage("#mapNavigationPage");
      }else if(k === 0){
        $.toast("请选择一条路线");
      }
    }
  };

  
  
  /**
   * 返回到详细页面
   */
  var goToSupplyDemandDetailDataPage=function(){
    if(viewLoadPagebackPageState === 1){
      $.router.loadPage("#makerlistPage");
    }else if(viewLoadPagebackPageState === 2){
      $.router.loadPage("#mainPage");
    }
  };
  
  
  
  /**
   * 进行选择乘坐线路
   */
  function viewLoadPageMethodOne(state){
    if(viewLoadPagebackPage_choose == state){
      return;
    }
    viewLoadPagebackPage_choose=state;
    $("#viewLoadPage_1").removeClass("active");
    $("#viewLoadPage_2").removeClass("active");
    $("#viewLoadPage_3").removeClass("active");
    if(state === 1){
      $("#viewLoadPage_1").addClass("active");
      DMX.mapNavigationPage.initmapNavigationPage(viewLoadPagebackPage_addr,viewLoadPagebackPage_x,viewLoadPagebackPage_y);
    }else if(state === 2){
      $("#viewLoadPage_2").addClass("active");
      DMX.mapNavigationPage.initViewLoadPageMapOne(viewLoadPagebackPage_addr,viewLoadPagebackPage_x,viewLoadPagebackPage_y);
    }else if(state === 3){
      $("#viewLoadPage_3").addClass("active");
      DMX.mapNavigationPage.initViewLoadPageMapTwo(viewLoadPagebackPage_addr,viewLoadPagebackPage_x,viewLoadPagebackPage_y);
    }
  }

  /**
   * 选择步行
   */
  var initViewLoadPageMapOne=function(addr,x,y){
    var state=0;
    try{
      viewLoadPageMap = new AMap.Map("viewLoadPage_container", {
         resizeEnable: true,
         zoom:10,
         center: geolocationData  
      });
      //添加标尺
      viewLoadPageMap.plugin(['AMap.ToolBar'], function() {
        //设置地位标记为自定义标记
        var toolBar = new AMap.ToolBar();
        viewLoadPageMap.addControl(toolBar);
      });
      //影藏高德地图logo
      $(".amap-logo").hide();
    }catch(e){
      $.toast("渲染地图异常!");
      state=1;
    }
    
    if(state === 1){
      return;
    }
    
    if(null != viewLoadPageMap){
      $.showIndicator();
      viewLoadPageMap.getCity(function(data) {
        if (data['province'] && typeof data['province'] === 'string') {
          viewLoadPageMap_city=data['city'] || data['province'];
          if(addr.indexOf(viewLoadPageMap_city) < 0){
            $.hideIndicator();
            $.toast("请选择本地区附近区域");
            return;
          }
          loadViewLoadPageMapGeolocationOne(addr,x,y);
        }else{
          $.hideIndicator();
          $.toast("城市获取失败,无法导航!");
        }
      });
    }
  };
  
  
  var loadViewLoadPageMapGeolocationOne=function(addr,x,y){
    try{
      $("#viewLoadPage_panel").text("");
      AMap.service(["AMap.Walking"], function() {
        var MWalk = new AMap.Walking({
            map: viewLoadPageMap,
            panel: "viewLoadPage_panel"
        }); //构造路线导航类
        //根据起终点坐标规划步行路线
        MWalk.search([geolocationData.lng,geolocationData.lat], [x, y], 
          function(status, result){
            $.hideIndicator();
          }
        );
      });
    }catch(e){
      $.toast("线路规划异常");
      $.hideIndicator();
    }
  };
  
  
  /**
   * 选择驾车
   */
  var initViewLoadPageMapTwo=function(addr,x,y){
    var state=0;
    try{
      viewLoadPageMap = new AMap.Map("viewLoadPage_container", {
         resizeEnable: true,
         zoom:10,
         center: geolocationData
      });
      //添加标尺
      viewLoadPageMap.plugin(['AMap.ToolBar'], function() {
        //设置地位标记为自定义标记
        var toolBar = new AMap.ToolBar();
        viewLoadPageMap.addControl(toolBar);
      });
      //影藏高德地图logo
      $(".amap-logo").hide();
    }catch(e){
      $.toast("渲染地图异常!");
      state=1;
    }
    
    if(state === 1){
      return;
    }
    
    if(null != viewLoadPageMap){
      $.showIndicator();
      viewLoadPageMap.getCity(function(data) {
        if (data['province'] && typeof data['province'] === 'string') {
          viewLoadPageMap_city=data['city'] || data['province'];
          if(addr.indexOf(viewLoadPageMap_city) < 0){
            $.hideIndicator();
            $.toast("请选择本地区附近区域");
            return;
          }
          loadViewLoadPageMapGeolocationTwo(addr,x,y);
        }else{
          $.hideIndicator();
          $.toast("城市获取失败,无法导航!");
        }
      });
    }
  };
  
  
  var loadViewLoadPageMapGeolocationTwo=function(addr,x,y){
    try{
      $("#viewLoadPage_panel").text("");
      AMap.service(["AMap.Driving"], function() {
        var driving = new AMap.Driving({
            map: viewLoadPageMap,
            panel: "viewLoadPage_panel"
        }); //构造路线导航类
        //根据起终点坐标规划驾车路线
        driving.search([geolocationData.lng,geolocationData.lat], [x, y], 
          function(status, result){
            $.hideIndicator();
          }
        );
      });
    }catch(e){
      $.toast("线路规划异常");
      $.hideIndicator();
    }
  };
  
  
  
  
  
  return {
    goTomapNavigationPage:goTomapNavigationPage,
    initmapNavigationPage:initmapNavigationPage,
    loadViewLoadPageMapGeolocation:loadViewLoadPageMapGeolocation,
    viewLoadPageDetial:viewLoadPageDetial,
    viewLoadPageDetialClose:viewLoadPageDetialClose,
    goToSupplyDemandDetailDataPage:goToSupplyDemandDetailDataPage,
    viewLoadPageMethodOne:viewLoadPageMethodOne,
    initViewLoadPageMapOne:initViewLoadPageMapOne,
    loadViewLoadPageMapGeolocationOne:loadViewLoadPageMapGeolocationOne,
    initViewLoadPageMapTwo:initViewLoadPageMapTwo,
    loadViewLoadPageMapGeolocationTwo:loadViewLoadPageMapGeolocationTwo
  };
})();