
/**
 * 我的预定ownDoomPage.js
 * @author hupengfei
 */
DMX.namespace("ownDoomPage");
DMX.ownDoomPage = (function() {
	/**
	 * 别人的预定以及自己的预定的信息
	 */
	function goToOwnDoomPage(){
	 	$.router.loadPage("#ownDoomPage");
	 	//进行展示数据
	 	//初始化页面的数据为空
	 	DMX.ownDoomPage.initOwnDoomPageDataState("ownDoomPage_own_tab");
	 	DMX.ownDoomPage.initOwnDoomPageData();
	}
	
	
	/**
	 * 初始化预定页面数据
	 */
	function initOwnDoomPageDataState(state){
		if(state == "ownDoomPage_own_tab"){
			$("#ownDoomPage_own_tab").addClass("active");
			$("#ownDoomPage_them_tab").removeClass("active");
			$("#ownDoomPage_own_content").show();
			$("#ownDoomPage_them_content").hide();
		}else if(state == "ownDoomPage_them_tab"){
			$("#ownDoomPage_them_tab").addClass("active");
			$("#ownDoomPage_own_tab").removeClass("active");
			$("#ownDoomPage_them_content").show();
			$("#ownDoomPage_own_content").hide();
		}
	}
	
	/**
	 * 进行初始化数据
	 */
	function initOwnDoomPageData(){
		$("#ownDoomPage_own_content_div").html("");
		$("#ownDoomPage_them_content_div").html("");
		var param = {'user_id': userInfo.user_id};
		$.showIndicator();
		$.ajax({
		    type: "POST",
		    url: basePath + "getUserBookInfo",
		    data: param,
		    success: function(data) {
		      //关闭进度条
		      $.hideIndicator();
		      if(data.code == "TRUE"){
		    	  DMX.ownDoomPage.setInitOwnDoomPageData(data.obj);
		      }else if(data.code == "FALSE"){
		        $.toast(data.msg);
		      }
		    },
			timeout:15000,
			error:function(XMLHttpRequest, textStatus, errorThrown){
				$.hideIndicator();
				if(textStatus == "timeout"){
					$.toast("获取超时");
				}else{
					$.toast("获取失败,请重试");
				}
			}
		});
	}
	
	/**
	 * 存放数据
	 * @param {} data
	 */
	//我预定别人->1:未处理
	var ownDoomPage_own_1=new Array();
	//我预定别人->2:接受
	var ownDoomPage_own_2=new Array();
	//我预定别人->3:拒绝
	var ownDoomPage_own_3=new Array();
	//别人预定我的->1:我需要进行拒绝获取接受
	var ownDoomPage_them_1=new Array();
	//别人预定我的->2:我接受别人的预定
	var ownDoomPage_them_2=new Array();
	//别人预定我的->3:我拒绝比尔的预定
	var ownDoomPage_them_3=new Array();
	function setInitOwnDoomPageData(data){
		ownDoomPage_own_1=new Array();
		ownDoomPage_own_2=new Array();
		ownDoomPage_own_3=new Array();
		ownDoomPage_them_1=new Array();
		ownDoomPage_them_2=new Array();
		ownDoomPage_them_3=new Array();
		if(null != data && data.length != 0){
			for(var i=0;i<data.length;i++){
				var user_id=data[i].bk_userid;
				var bk_rcv_status=data[i].bk_rcv_status;
				if(user_id == userInfo.user_id){
					if(bk_rcv_status == "1"){
						ownDoomPage_own_1.push(data[i]);		
					}else if(bk_rcv_status == "2"){
						ownDoomPage_own_2.push(data[i]);		
					}else if(bk_rcv_status == "3"){
						ownDoomPage_own_3.push(data[i]);		
					}
				}else{
					//别人预定我的
					if(bk_rcv_status == "1"){
						ownDoomPage_them_1.push(data[i]);		
					}else if(bk_rcv_status == "2"){
						ownDoomPage_them_2.push(data[i]);		
					}else if(bk_rcv_status == "3"){
						ownDoomPage_them_3.push(data[i]);		
					}
				}
			}
		}else{
			$.toast("没有预定信息!");
		}
		
		//进行渲染2个选项卡的数据
		//进行渲染我预定别人
		DMX.ownDoomPage.setInitOwnDoomPage_OwnData();
		//进行渲染别人预定我的
		DMX.ownDoomPage.setInitOwnDoomPage_ThemData();
	}
	
	
	/**
	 * 我预定别人
	 */
	function setInitOwnDoomPage_OwnData(){
		var html="";
		if(null != ownDoomPage_own_1 && ownDoomPage_own_1.length != 0){
			for(var i=0;i<ownDoomPage_own_1.length;i++){
				var name=ownDoomPage_own_1[i].sn_targetusername;
				if(null == name || name == "null" || typeof(name) == "undefined"){
					name = "无姓名";
				}
				var type=ownDoomPage_own_1[i].bk_type;
				var type_name="";
				if(type == "1"){
					type_name="供";
				}else if(type == "2"){
					type_name="需";
				}
				var bk_time=ownDoomPage_own_1[i].bk_time;
				html+=DMX.ownDoomPage.setOwnDoomPage_OwnHtml(name,type_name,"对方未处理",bk_time,ownDoomPage_own_1[i].coin_10,ownDoomPage_own_1[i].coin_5,ownDoomPage_own_1[i].coin_1);
			}
		}
		if(null != ownDoomPage_own_2 && ownDoomPage_own_2.length != 0){
			for(var i=0;i<ownDoomPage_own_2.length;i++){
				var name=ownDoomPage_own_2[i].sn_targetusername;
				if(null == name || name == "null" || typeof(name) == "undefined"){
					name = "无姓名";
				}
				var type=ownDoomPage_own_2[i].bk_type;
				var type_name="";
				if(type == "1"){
					type_name="供";
				}else if(type == "2"){
					type_name="需";
				}
				var bk_time=ownDoomPage_own_2[i].bk_time;
				html+=DMX.ownDoomPage.setOwnDoomPage_OwnHtml(name,type_name,"对方已接受",bk_time,ownDoomPage_own_2[i].coin_10,ownDoomPage_own_2[i].coin_5,ownDoomPage_own_2[i].coin_1);
			}
		}
		if(null != ownDoomPage_own_3 && ownDoomPage_own_3.length != 0){
			for(var i=0;i<ownDoomPage_own_3.length;i++){
				var name=ownDoomPage_own_3[i].sn_targetusername;
				if(null == name || name == "null" || typeof(name) == "undefined"){
					name = "无姓名";
				}
				var type=ownDoomPage_own_3[i].bk_type;
				var type_name="";
				if(type == "1"){
					type_name="供";
				}else if(type == "2"){
					type_name="需";
				}
				var bk_time=ownDoomPage_own_3[i].bk_time;
				html+=DMX.ownDoomPage.setOwnDoomPage_OwnHtml(name,type_name,"对方已拒绝",bk_time,ownDoomPage_own_3[i].coin_10,ownDoomPage_own_3[i].coin_5,ownDoomPage_own_3[i].coin_1);
			}
		}
		
		if(ownDoomPage_own_3.length==0 && ownDoomPage_own_2.length==0 && ownDoomPage_own_1.length==0){
			$('#ownDoomPage_own_content_div').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
			return;
		}
		
		
		$("#ownDoomPage_own_content_div").html(html);
	}
	
	/**
	 * 设置我预定别人的HTML
	 * @param {} html
	 * @param {} name
	 * @param {} type
	 * @param {} state
	 * @param {} time
	 * @param {} number1
	 * @param {} number2
	 * @param {} number3
	 */
	function setOwnDoomPage_OwnHtml(name,type,state,time,number1,number2,number3){
		  var html=""; 
		  html += '<div class="card facebook-card">';
		  html += '<div class="card-header">';
		  html += '<div class="facebook-name" style="margin-left: 0;color: #333;"><img src="lib/img/index_center1.png" style="width: 0.8rem;position: relative;top: 3px;margin-right: 8px;"/>'+name+'</div>';
		  //html += '<div class="facebook-date" style="margin-left: 0">'+user_location_info+'</div>';
		  html += '</div>';
		  html += '<div class="card-content">';
		  html += '<div class="list-block media-list">';
		  html += '<ul>';
		  html += '<li>';
		  html += '<a href="#" class="item-link item-content">';
		  if(type=='供'){
			  html += '<div class="doom_type">'+type+'</div>';
		  }else{
			  html += '<div class="doom_type1">'+type+'</div>';
		  }
		  html += '<div class="item-inner doom_list" style="padding-right:0.75rem;background-image:url()">';
		  html += '<div class="item-title" style="font-size: 0.75rem;height:1rem;">1元&nbsp;&nbsp;&nbsp;&nbsp;['+number1+']</div>';
		  html += '<div class="item-subtitle" style="font-size: 0.75rem;height:1rem;">5角&nbsp;&nbsp;&nbsp;&nbsp;['+number2+']</div>';
		  html += '<div class="item-text" style="font-size: 0.75rem;height:1rem;">1角&nbsp;&nbsp;&nbsp;&nbsp;['+number3+']</div>';
		  html += '</div>';
		  html += '</a>';
		  html += '</li>';
		  html += '</ul>';
		  html += '</div>';
		  html += '</div>';
		  html += '<div class="card-footer no-border">';
		  html += '<span>'+time+'</span>';
		  
		  if(state == "对方已拒绝"){
		  	 html += '<span class="doom_time_jj">'+state+'</span>';
		  }else if(state == "对方已接受"){
		  	 html += '<span class="doom_time_js">'+state+'</span>';
		  }else if(state == "对方未处理"){
		  	 html += '<span class="doom_time">'+state+'</span>';
		  }
		  html += '</div>';
		  html += '</div>';
		  return html;
	}
	
	/**
	 * 别人预定我的
	 */
	function setInitOwnDoomPage_ThemData(){
		var html="";
		console.log(ownDoomPage_them_1,ownDoomPage_them_2,ownDoomPage_them_3);
		if(null != ownDoomPage_them_1 && ownDoomPage_them_1.length != 0){
			for(var i=0;i<ownDoomPage_them_1.length;i++){
				var name=ownDoomPage_them_1[i].sn_sourceusername;
				if(null == name || name == "null" || typeof(name) == "undefined"){
					name = "未知预定者";
				}
				var type=ownDoomPage_them_1[i].bk_type;
				var type_name="";
				if(type == "1"){
					type_name="供";
				}else if(type == "2"){
					type_name="需";
				}
				var bk_time=ownDoomPage_them_1[i].bk_time;
				html+=DMX.ownDoomPage.setOwnDoomPage_them_Redio(i,name,type_name,"我未处理",bk_time,ownDoomPage_them_1[i].coin_10,ownDoomPage_them_1[i].coin_5,ownDoomPage_them_1[i].coin_1);
			}
		}
		if(null != ownDoomPage_them_2 && ownDoomPage_them_2.length != 0){
			for(var i=0;i<ownDoomPage_them_2.length;i++){
				var name=ownDoomPage_them_2[i].sn_sourceusername;
				if(null == name || name == "null" || typeof(name) == "undefined"){
					name = "未知预定者";
				}
				var type=ownDoomPage_them_2[i].bk_type;
				var type_name="";
				if(type == "1"){
					type_name="供";
				}else if(type == "2"){
					type_name="需";
				}
				var bk_time=ownDoomPage_them_2[i].bk_time;
				html+=DMX.ownDoomPage.setOwnDoomPage_ThemHtml(name,type_name,"我已接受",bk_time,ownDoomPage_them_2[i].coin_10,ownDoomPage_them_2[i].coin_5,ownDoomPage_them_2[i].coin_1);
			}
		}
		if(null != ownDoomPage_them_3 && ownDoomPage_them_3.length != 0){
			for(var i=0;i<ownDoomPage_them_3.length;i++){
				var name=ownDoomPage_them_3[i].sn_sourceusername;
				if(null == name || name == "null" || typeof(name) == "undefined"){
					name = "未知预定者";
				}
				var type=ownDoomPage_them_3[i].bk_type;
				var type_name="";
				if(type == "1"){
					type_name="供";
				}else if(type == "2"){
					type_name="需";
				}
				var bk_time=ownDoomPage_them_3[i].bk_time;
				html+=DMX.ownDoomPage.setOwnDoomPage_ThemHtml(name,type_name,"我已拒绝",bk_time,ownDoomPage_them_3[i].coin_10,ownDoomPage_them_3[i].coin_5,ownDoomPage_them_3[i].coin_1);
			}
		}
		if(ownDoomPage_them_1.length==0 && ownDoomPage_them_2.length==0 && ownDoomPage_them_3.length==0){
			$('#ownDoomPage_them_content_div').html('<img src="lib/img/null.png" style="width:10rem;margin:auto;display:block;margin-top:30%;"/>');
			return;
		}
		
		$("#ownDoomPage_them_content_div").html(html);
	}
	
	
	/**
	 * 设置别人预定我的HTML
	 * @param {} html
	 * @param {} name
	 * @param {} type
	 * @param {} state
	 * @param {} time
	 * @param {} number1
	 * @param {} number2
	 * @param {} number3
	 */
	function setOwnDoomPage_ThemHtml(name,type,state,time,number1,number2,number3){
		  var html=""; 
		  html += '<div class="card facebook-card">';
		  html += '<div class="card-header">';
		  html += '<div class="facebook-name" style="margin-left: 0;color: #333;"><img src="lib/img/index_center1.png" style="width: 0.8rem;position: relative;top: 3px;margin-right: 8px;"/>'+name+'</div>';
		  //html += '<div class="facebook-date" style="margin-left: 0">'+user_location_info+'</div>';
		  html += '</div>';
		  html += '<div class="card-content">';
		  html += '<div class="list-block media-list">';
		  html += '<ul>';
		  html += '<li>';
		  html += '<a href="#" class="item-link item-content">';
		  if(type=='供'){
			  html += '<div class="doom_type">'+type+'</div>';
		  }else{
			  html += '<div class="doom_type1">'+type+'</div>';
		  }
		  html += '<div class="item-inner doom_list" style="padding-right:0.75rem;background-image:url()">';
		  html += '<div class="item-title" style="font-size: 0.75rem;height:1rem;">1元&nbsp;&nbsp;&nbsp;&nbsp;['+number1+']</div>';
		  html += '<div class="item-subtitle" style="font-size: 0.75rem;height:1rem;">5角&nbsp;&nbsp;&nbsp;&nbsp;['+number2+']</div>';
		  html += '<div class="item-text" style="font-size: 0.75rem;height:1rem;">1角&nbsp;&nbsp;&nbsp;&nbsp;['+number3+']</div>';
		  html += '</div>';
		  html += '</a>';
		  html += '</li>';
		  html += '</ul>';
		  html += '</div>';
		  html += '</div>';
		  html += '<div class="card-footer no-border">';
		  html += '<span>'+time+'</span>';
		  
		  if(state == "我已拒绝"){
		  	 html += '<span class="doom_time_jj">'+state+'</span>';
		  }else if(state == "我已接受"){
		  	 html += '<span class="doom_time_js">'+state+'</span>';
		  }else if(state == "我未处理"){
		  	 html += '<span class="doom_time">'+state+'</span>';
		  }
		  html += '</div>';
		  html += '</div>';
		  return html;
	}
	
	/**
	 * 别人预定我的，我需要处理的（拒绝或者接受）
	 */
	function setOwnDoomPage_them_Redio(i,name,type,state,time,number1,number2,number3){
		var html=""; 
		html += '<div class="card facebook-card">';
		html += '<div class="card-header">';
		html += '<div class="facebook-name" style="margin-left: 0;color: #333;"><img src="lib/img/index_center1.png" style="width: 0.8rem;position: relative;top: 3px;margin-right: 8px;"/>'+name+'</div>';
		html += '</div>';
		html += '<div class="card-content">';
		html += '<div class="list-block media-list">';
		html += '<ul>';
		html +='<li>';
		html +='<label class="label-checkbox item-content">';
		html +='<input type="radio" name="ownDoomPage-checkbox" value="'+i+'">';
		html +='<div class="item-media" style="margin-right: 0.6rem;"><i class="icon icon-form-checkbox"></i></div>';
		if(type=='供'){
			html += '<div class="doom_type">'+type+'</div>';
		}else{
			html += '<div class="doom_type1">'+type+'</div>';
		}
		html +='<div class="item-inner doom_list" style="padding-right:0.75rem;background-image:url()">';
		html +='<div class="item-title" style="font-size: 0.75rem">1元['+number1+']</div>';
		html +='<div class="item-subtitle">5角['+number2+']</div>';
		html +='<div class="item-text" style="height:1rem;">1角['+number3+']</div>';
		html +='</div>';
		html +='</label>';
		html +='</li>';
		html += '</ul>';
		html += '</div>';
		html += '</div>';
		html += '<div class="card-footer no-border">';
		html += '<span>'+time+'</span>';
		html += '<span class="doom_time">'+state+'</span>';
		html += '</div>';
		html += '</div>';
		return html;
	}
	
	/**
	 * 操作别人预定我的信息
	 */
	function initOwnDoomPageMenu(){
		var buttons1 = [{
	      text: '接受',
	      bold: true,
	      onClick: function() {
	    	  DMX.ownDoomPage.acceptOrRejectBooing(1);
	      }
	    }];
	    var buttons2 = [{
	      text: '拒绝',
	      bold: true,
	      onClick: function() {
	    	  DMX.ownDoomPage.acceptOrRejectBooing(2);
	      }
	    }];
	    var buttons3 = [{
	      text: '刷新',
	      bold: true,
	      onClick: function() {
	    	  DMX.ownDoomPage.initOwnDoomPageDataState("ownDoomPage_own_tab");
	    	  DMX.ownDoomPage.initOwnDoomPageData();
	      }
	    }];
	    var buttons4 = [{
	      text: '取消',
	      bg: 'danger'
	    }];
	    var groups = [buttons1, buttons2, buttons3, buttons4];
	    $.actions(groups);
	}
	
	/**
	 * 拒绝或者接受
	 */
	function acceptOrRejectBooing(state){
		var i=-1;
		$('input[name="ownDoomPage-checkbox"]:checked').each(function(){
		    i=Number($(this).val());
		});
		
		if(i === -1){
			$.toast("请选择");
			return;
		}
		var dataObj=ownDoomPage_them_1[i];
		var own_state=-1;
		if(state === 1){
			//接受
			own_state=2;
		}else if(state === 2){
			//拒绝
			own_state=3;
		}
		var param={
			'user_id': userInfo.user_id,
			'bk_id': dataObj.bk_id,
			'bk_status':own_state
		};
		
		$.showIndicator();
		$.ajax({
		    type: "POST",
		    url: basePath + "updateBookinfoStatus",
		    data: param,
		    success: function(data) {
		      //关闭进度条
		      $.hideIndicator();
		      if(data.code == "TRUE"){
		        $.toast("操作成功，请在我的订单里查询！");
		    	  DMX.ownDoomPage.initOwnDoomPageDataState("ownDoomPage_them_tab");
		    	  DMX.ownDoomPage.initOwnDoomPageData();
		      }else if(data.code == "FALSE"){
		        $.toast(data.msg);
		      }
		    },
			timeout:15000,
			error:function(XMLHttpRequest, textStatus, errorThrown){
				$.hideIndicator();
				if(textStatus == "timeout"){
					$.toast("操作超时");
				}else{
					$.toast("操作失败,请重试");
				}
			}
		});
	}
	return {
		acceptOrRejectBooing:acceptOrRejectBooing,
		goToOwnDoomPage:goToOwnDoomPage,
		initOwnDoomPageDataState:initOwnDoomPageDataState,
		initOwnDoomPageData:initOwnDoomPageData,
		setInitOwnDoomPageData:setInitOwnDoomPageData,
		setInitOwnDoomPage_OwnData:setInitOwnDoomPage_OwnData,
		setOwnDoomPage_OwnHtml:setOwnDoomPage_OwnHtml,
		setInitOwnDoomPage_ThemData:setInitOwnDoomPage_ThemData,
		setOwnDoomPage_ThemHtml:setOwnDoomPage_ThemHtml,
		setOwnDoomPage_them_Redio:setOwnDoomPage_them_Redio,
		initOwnDoomPageMenu:initOwnDoomPageMenu,
	};
})();