/**
 * 修改头像 ownHeadimagesPage.js
 */
DMX.namespace("ownHeadimagesPage");
DMX.ownHeadimagesPage = (function() {
  
  
  /**
   * 进入我的页面
   */
  var goToOwnHeadimagesPage=function(){
    $.router.loadPage("#ownHeadimagesPage");
    DMX.ownHeadimagesPage.initphotoClip();
  };

  
  
  /**
   * 图片裁剪
   */
  var initphotoClip=function(){
    $("#clipArea").photoClip({
        width: 250, 
        height: 250,
        file: "#file", 
        view: "#view",
        ok: "#clipBtn",
        outputType: "jpg",
        strictSize: false,
        loadStart: function(file) {},
        loadComplete: function(src) {},
        loadError: function(event) {},
        clipFinish: function(dataURL) {
          DMX.ownHeadimagesPage.uploadimages(dataURL);
        }
    });
  }


  /**
   * 将图片转换为base64位格式
   */
  
  var getBase64Image=function(){
    var img=$("#inputfileimage")[0];
    var canvas = document.createElement("canvas");
    canvas.width = img.width;
    canvas.height = img.height;
    var ctx = canvas.getContext("2d");
    ctx.drawImage(img, 0, 0, img.width ,img.height); 
    var dataURL = canvas.toDataURL("image/jpg");  
    //return dataURL.replace(/^data:image\/(png|jpg);base64,/, "");
    //console.log(dataURL);
    //return dataURL;
    uploadimages(dataURL);
  }


  /**
   * 上传头像
   * 
   */
  var uploadimages=function(base64){
  //传参
    var param = {
      'user_id': userInfo.user_id,
      'icon':base64
    };
    //开启进度条
    $.showIndicator();
    
    $.ajax({
      url:basePath+"addIcon",
      type:"post",
      data:param,
      success:function(data){
        //关闭进度条
        $.hideIndicator();
        if(data.code=="TRUE"){
          $.toast("上传头像成功！"); 
          $("#userheader").attr("src",base64);
          $.router.loadPage("#ownmainPage");
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("上传超时");
        }else{
          $.toast("上传失败,请重试");
        }
      }
    });
  }

  
  return {
    goToOwnHeadimagesPage:goToOwnHeadimagesPage,
    initphotoClip:initphotoClip,
    getBase64Image:getBase64Image,
    uploadimages:uploadimages
  };
})();


