/**
 * 价格预算 pricebudgetPage.js
 */
DMX.namespace("pricebudgetPage");
DMX.pricebudgetPage = (function() {
  
  /**
   * 价格预算数据list
   * @author lijin
   */
  var listpricebudget=null;
  var listpricebudgetData=null;
  
  
  //清分包装基础报价
  var pricebudgetPage_basicservice1;

  //上门清分包装
  var pricebudgetPage_basicservice2;

  //硬币少于2500枚，按次收费
  var pricebudgetPage_basicservice3;

  //基础运输服务费
  var transportationservices1;

  //加收运输服务费
  var transportationservices2;

  //清洗服务每枚硬币单价
  var cleaningservice1;

  //调配服务费
  var deploymentservice1;

  //初始公里数
  var gongli;

  //路费
  var lufei;
  
  /**
   * 进入价格预算页面
   * @author lijin
   */
  var goTopricebudgetPage=function(){
    $.router.loadPage("#pricebudgetPage");
    DMX.pricebudgetPage.cleardata();
    DMX.pricebudgetPage.loadingdata();
    DMX.pricebudgetPage.inittransportationservices();
  };
  
  
  /**
   * 清空数据
   * @author lijin
   */
  var cleardata=function(){
    //区域
    $("#pricebudgetPage_region").val("");
    //服务类型
    $("#pricebudgetPage_basicservice").val("");
    //运输服务
    $("#pricebudgetPage_transportationservices").val("");
    //清洗服务
    $("#pricebudgetPage_cleaningservice").val("");
    //调配服务
    $("#pricebudgetPage_deploymentservice").val("");
    //硬币枚数
    $("#pricebudgetPage_numberofcoins").val("");
    //运输距离
    $("#pricebudgetPage_transportdistance").val("");
    $("#pricebudgetPage_heji").html("");
  };
  
  /**
   * 加载数据
   * @author lijin
   */
  var loadingdata=function(){
    $.ajax({
      type: "POST",
      url: basePath + "getPriceSystem",
      success: function(data) {
        $.hideIndicator();
        if(data.code == "TRUE"){
          listpricebudget=data.obj;
        }else if(data.code == "FALSE"){
          $.toast(data.msg);
        }
      },
      timeout:15000,
      error:function(XMLHttpRequest, textStatus, errorThrown){
        $.hideIndicator();
        if(textStatus == "timeout"){
          $.toast("加载信息超时");
        }else{
          $.toast("加载失败,请重试");
        }
      }
    });
    
  };
  
  
  /**
   * 字段赋值
   * @author lijin
   */
  var initpricebudgetPage=function(){
    //基础服务
    var pricebudgetPage_region=$.trim($("#pricebudgetPage_region").val());
    if(pricebudgetPage_region=="重庆"){
      if(null != listpricebudget && listpricebudget.length != 0){
        for(var i=0;i<listpricebudget.length;i++){
          if(listpricebudget[i].sys_eare == pricebudgetPage_region){
            listpricebudgetData=listpricebudget[i];
            if(listpricebudgetData.sys_item =="清分包装基础报价"){
              pricebudgetPage_basicservice1=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "运输服务"){
              transportationservices1=listpricebudgetData.sys_mainprice;
              transportationservices2=listpricebudgetData.sys_seprice;
            }else if(listpricebudgetData.sys_item == "上门清分包装"){
              pricebudgetPage_basicservice2=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "上门服务费"){
              //硬币少于2500枚，按次收费
              pricebudgetPage_basicservice3=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "特别清洗费"){
              cleaningservice1=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "调配服务"){
              deploymentservice1=listpricebudgetData.sys_mainprice;
            }
          }
        }
      }else{
        $.toast("无相关数据");
      }
    }else if(pricebudgetPage_region=="四川"){
      if(null != listpricebudget && listpricebudget.length != 0){
        for(var i=0;i<listpricebudget.length;i++){
          if(listpricebudget[i].sys_eare == pricebudgetPage_region){
            listpricebudgetData=listpricebudget[i];
            if(listpricebudgetData.sys_item == "清分包装"){
              pricebudgetPage_basicservice1=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "运输服务"){
              transportationservices1=listpricebudgetData.sys_mainprice;
              transportationservices2=listpricebudgetData.sys_seprice;
            }else if(listpricebudgetData.sys_item == "上门清分包装"){
              pricebudgetPage_basicservice2=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "上门服务费"){
              //硬币少于2500枚，按次收费
              pricebudgetPage_basicservice3=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "特别清洗费"){
              cleaningservice1=listpricebudgetData.sys_mainprice;
            }else if(listpricebudgetData.sys_item == "调配服务"){
              deploymentservice1=listpricebudgetData.sys_mainprice;
            }
          }
        }
      }else{
        $.toast("无相关数据");
      }
    }
  };
  
  
  /**
   * 初始化页面设置
   * @author lijin
   */
  var inittransportationservices=function(){
    //运输服务
    $("#pricebudgetPage_transportationservices").blur(function(){
      var pricebudgetPage_transportationservices=$.trim($("#pricebudgetPage_transportationservices").val());
      if(pricebudgetPage_transportationservices==""||pricebudgetPage_transportationservices==null ||pricebudgetPage_transportationservices=="null"){
        $.toast("请选择是否需要运输服务");
        $("#pricebudgetPage_transportdistance").val("");
        document.getElementById("pricebudgetPage_transportdistance").readOnly = true;
      }else if(pricebudgetPage_transportationservices == "不需要"){
        $("#pricebudgetPage_transportdistance").val("");
        document.getElementById("pricebudgetPage_transportdistance").readOnly = true;
      }else if(pricebudgetPage_transportationservices == "需要"){
        document.getElementById("pricebudgetPage_transportdistance").readOnly = false;
      }
    });
  };
  
  
  /**
   * 价格预算
   * @author lijin
   */
  var countMoney=function(){
    $("#pricebudgetPage_heji").html("");
    //总金额
    var totalMoney=0;
    //硬币少于2500枚，按次收费
    var fuwufei=0;
    //单价
    var danjia;
    //清洗服务每枚硬币单价
    var qingxidanjia;
    //初始公里数
    var gongli;
    //路费
    var lufei;
    //区域
    var pricebudgetPage_region=$.trim($("#pricebudgetPage_region").val());
    //基础服务
    var pricebudgetPage_basicservice=$.trim($("#pricebudgetPage_basicservice").val());
    //运输服务
    var pricebudgetPage_transportationservices=$.trim($("#pricebudgetPage_transportationservices").val());
    //清洗服务
    var pricebudgetPage_cleaningservice=$.trim($("#pricebudgetPage_cleaningservice").val());
    //调配服务
    var pricebudgetPage_deploymentservice=$.trim($("#pricebudgetPage_deploymentservice").val());
    //硬币枚数
    var pricebudgetPage_numberofcoins=$.trim($("#pricebudgetPage_numberofcoins").val());
    //运输距离
    var pricebudgetPage_transportdistance=$.trim($("#pricebudgetPage_transportdistance").val());
    //字段赋值
    DMX.pricebudgetPage.initpricebudgetPage();
    
    //验证
    if(pricebudgetPage_region=="" ||pricebudgetPage_region==null ||pricebudgetPage_region=="null"){
      $.toast("请选择区域");
      return;
    }else if(pricebudgetPage_basicservice==""||pricebudgetPage_basicservice==null ||pricebudgetPage_basicservice=="null"){
      $.toast("请选择基础服务类型");
      return;
    }else if(pricebudgetPage_transportationservices =="" ||pricebudgetPage_transportationservices == null|| pricebudgetPage_transportationservices == "null"){
      $.toast("请选择是否需要运输服务");
      return;
    }
    else if(pricebudgetPage_cleaningservice =="" ||pricebudgetPage_cleaningservice == null|| pricebudgetPage_cleaningservice == "null"){
      $.toast("请选择是否需要清洗服务");
      return;
    }
    else if(pricebudgetPage_deploymentservice =="" ||pricebudgetPage_deploymentservice == null|| pricebudgetPage_deploymentservice == "null"){
      $.toast("请选择是否需要调配服务");
      return;
    }
    else if(pricebudgetPage_numberofcoins =="" ||pricebudgetPage_numberofcoins == null|| pricebudgetPage_numberofcoins == "null"){
      $.toast("请输入硬币枚数！");
      return;
    }
    //基础服务类型
    if(pricebudgetPage_basicservice=="清分包装"){
      danjia = pricebudgetPage_basicservice1;
    }else if(pricebudgetPage_basicservice=="上门清分包装"){
      if(pricebudgetPage_numberofcoins<2500){
        fuwufei=pricebudgetPage_basicservice3;
        danjia=0;
      }else{ 
        danjia =pricebudgetPage_basicservice2;
      }
    }
    //运输服务
    if(pricebudgetPage_transportationservices=="不需要"){
      gongli=0;
      lufei=0;
    }else if(pricebudgetPage_transportationservices =="需要"){
      if(pricebudgetPage_transportdistance==""||pricebudgetPage_transportdistance==null){
        $.toast("请输入公里数");
        return;
      }else{
        gongli=pricebudgetPage_transportdistance;
        if(gongli<=10){
          lufei=transportationservices1;
        }else{
          lufei=transportationservices1+transportationservices2*(gongli-10);
        }
      }    
    }
    //清洗服务
    if(pricebudgetPage_cleaningservice=="不需要"){
      qingxidanjia=0;
    }else if(pricebudgetPage_cleaningservice=="需要"){
      qingxidanjia=cleaningservice1;
    }
    var juan=Math.ceil(pricebudgetPage_numberofcoins/50);
    //调配服务
    if(pricebudgetPage_deploymentservice=="不需要"){
      totalMoney=fuwufei+danjia*juan+lufei+qingxidanjia*pricebudgetPage_numberofcoins;
    }else if(pricebudgetPage_deploymentservice=="需要"){
      totalMoney=fuwufei+danjia*juan+lufei+qingxidanjia*pricebudgetPage_numberofcoins+pricebudgetPage_numberofcoins*deploymentservice1;
    }
    $("#pricebudgetPage_heji").append(totalMoney+"元");
  };


  return {
    goTopricebudgetPage:goTopricebudgetPage,
    cleardata:cleardata,
    loadingdata:loadingdata,
    initpricebudgetPage:initpricebudgetPage,
    inittransportationservices:inittransportationservices,
    countMoney:countMoney
    
  };
})();


