/**
 * 用户信息
 * hupengfei
 */
DMX.namespace("userInfoPage");
DMX.userInfoPage = (function() {
  
  
	/**
	 * 用户信息页面
	 */

	/**
	 * 用户信息界面按钮事件初始化
	 */
	var btnUserInfoMenuId=function() {
	  //编辑
	  $.confirm('确定提交修改的信息?', function () {
		  DMX.userInfoPage.makeTrueOwnUserInfoPage();
	  });
	};


	/**
	 * 进入用户信息详细页面
	 */
	var goToOwnUserInfoPage=function(){
	  $.router.loadPage("#userInfoPage");
	  //初始化界面数据
	  DMX.userInfoPage.initUserInfoPageContent();
	};


	/**
	 * 选项初始化
	 * @returns
	 */
	var initUserInfoPageContent=function(){
	  var user_type=userInfo.user_type;
	  if(user_type == "1"){
	    $("#userInfoPage_user_company_li").css("display","none");
	    $("#userInfoPage_company_code_li").css("display","none");
	    $("#userInfoPage_user_identity_li").css("display","none");
	  }else if(user_type == "2" || user_type == "3"){
	    $("#userInfoPage_user_company_li").css("display","block");
	    $("#userInfoPage_company_code_li").css("display","block");
	    $("#userInfoPage_user_identity_li").css("display","none");
	  }
	  DMX.userInfoPage.initUserInfoDataContent();
	};

	/**
	 * 赋值
	 */
	var initUserInfoDataContent = function(){
	  var user_type=userInfo.user_type;
	  if(user_type == "1"){
	    user_type="个人";
	  }else if(user_type == "2"){
	    user_type="企业";
	  }else if(user_type == "3"){
	    user_type="银行";
	  }
	  $("#userInfoPage_MenuChoice").val(user_type);
	  $("#userInfoPage_user_account").val(userInfo.user_account);
	  $("#userInfoPage_user_passwd").val(userInfo.user_passwd);
	  $("#userInfoPage_user_phone").val(userInfo.user_phone);
	  $("#userInfoPage_user_nick").val(userInfo.user_nick);
	  $("#userInfoPage_user_company").val(userInfo.user_company);
	  $("#userInfoPage_company_code").val(userInfo.company_code);
	  $("#userInfoPage_user_identity").val(userInfo.user_identity);
	  $("#userInfoPage_user_info").val(userInfo.remark);
	};


	/**
	 * 提交可修改项
	 */
	var makeTrueOwnUserInfoPage=function(){
	  //X坐标
	  var location_x="";
	  //Y坐标
	  var location_y="";
	  //注册地址
	  var location_info="";
	  //判断是否选中了使用现有地址替换掉原有地址
	  var myCheckBoxLocationInfo=getIsOrNotCheckBoxData();
	  if(myCheckBoxLocationInfo.length != 0){
	    //获取用户地址信息
	   	location_x=geolocationData_longitude;
	  	//Y坐标
	  	location_y=geolocationData_latitude;
	    location_info=ownMyAdder;
	  }

	  var user_passwd=$.trim($("#userInfoPage_user_passwd").val());
	  var user_phone=$.trim($("#userInfoPage_user_phone").val());
	  var user_nick=$.trim($("#userInfoPage_user_nick").val());
	  var user_info=$.trim($("#userInfoPage_user_info").val());
	  //判断选项是否为空
	  if(null == user_passwd || user_passwd == "" || typeof(user_passwd) == "undefined"){
	    $.toast("密码为空!");
	    return;
	  }
	  if(null == user_phone || user_phone == "" || typeof(user_phone) == "undefined"){
	    $.toast("手机号/座机为空!");
	    return;
	  }
	  
	  //传参
	  var param = {
	    'user_id': userInfo.user_id,
	    'user_passwd': user_passwd,
	    'user_phone': user_phone,
	    'user_nick': user_nick,
	    'location_x': location_x,
	    'location_y': location_y,
	    'location_info': location_info,
	    'user_info': user_info
	  };
	  
	  //开启进度条
	  $.showIndicator();
	  $.ajax({
	    type: "POST",
	    url: basePath + "updateUserInfo",
	    data: param,
	    success: function(data) {
	      //关闭进度条
	      $.hideIndicator();
	      if(data.code == "TRUE"){
	        $.toast("更新成功!");
	        userInfo=data.obj;
	        DMX.util.goToBack();
	      }else if(data.code == "FALSE"){
	        $.toast(data.msg);
	      }
	    },
		timeout:15000,
		error:function(XMLHttpRequest, textStatus, errorThrown){
			$.hideIndicator();
			if(textStatus == "timeout"){
				$.toast("更新信息超时");
			}else{
				$.toast("更新失败,请重试");
			}
		}
	  });
	};



	/**
	 * 获取选中的数据
	 */
	var getIsOrNotCheckBoxData=function(){
	  var myCheckBoxLocationInfo=new Array();
	  $('input[name="myCheckBoxLocationInfo"]:checked').each(function(){
	    myCheckBoxLocationInfo.push($(this).val());
	  });
	  return myCheckBoxLocationInfo;
	};
	
	
	return{
		getIsOrNotCheckBoxData:getIsOrNotCheckBoxData,
		makeTrueOwnUserInfoPage:makeTrueOwnUserInfoPage,
		initUserInfoDataContent:initUserInfoDataContent,
		goToOwnUserInfoPage:goToOwnUserInfoPage,
		btnUserInfoMenuId:btnUserInfoMenuId,
		initUserInfoPageContent:initUserInfoPageContent
	};
})();





